public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/em-websocket/
Date: Thu, 11 Nov 2021 07:04:08 +0000 (UTC)	[thread overview]
Message-ID: <1636614244.43793b262d4921f4d4f2f7671926c778ad79693f.graaff@gentoo> (raw)

commit:     43793b262d4921f4d4f2f7671926c778ad79693f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 11 07:01:51 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Nov 11 07:04:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43793b26

dev-ruby/em-websocket: add 0.5.3

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/em-websocket/Manifest                  |  1 +
 dev-ruby/em-websocket/em-websocket-0.5.3.ebuild | 46 +++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/em-websocket/Manifest b/dev-ruby/em-websocket/Manifest
index dca7954e687..264fa5de1ff 100644
--- a/dev-ruby/em-websocket/Manifest
+++ b/dev-ruby/em-websocket/Manifest
@@ -1 +1,2 @@
 DIST em-websocket-0.5.2.tar.gz 29367 BLAKE2B 91d41044e20f1f8277527205e3ee6671de2a1fb9b433c18d5b48a166c7cfa53c6553e32b726326f126981f0e014625075bc918b71e00bd8a6919670c370b6cab SHA512 46df705e2af93082884c7ca521df4f6cf33309c441eb3ba96be609b2cf280e3b72c689810d55279db6dbbc178ed843d64ccdaf9d4b39d52ddac7d84956065b06
+DIST em-websocket-0.5.3.tar.gz 29411 BLAKE2B ce38ee1adc9cd49454d74d94130e9d759c631337da9401390fae68210f7b02692a0f23eb5970aa226ab3651e1924a117ac104a01481cc954ca77ab9c27b1e5ac SHA512 28d5cf042899319f50ff0d3b140d75fb281b7e0635118a63df243151c4f442dbabf7dbe15b26b44167d925ed00819b01eeeef110107e4058d8a534f84913b232

diff --git a/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild b/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild
new file mode 100644
index 00000000000..40d23cc7ff3
--- /dev/null
+++ b/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="EventMachine based WebSocket server"
+HOMEPAGE="https://rubygems.org/gems/em-websocket"
+SRC_URI="https://github.com/igrigorik/em-websocket/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/eventmachine-0.12.9
+	=dev-ruby/http_parser_rb-0.6*
+"
+
+all_ruby_prepare() {
+	# Avoid dependency on git
+	sed -i -e '/ls-files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Only run unit tests since we require unpackaged code for the
+	# integration tests.
+	sed -i -e "/^require 'em-\(spec\|http\|websocket-client\)/ s:^:#:" \
+		-e "/^require 'integration/ s:^:#:" spec/helper.rb || die
+	rm -fr spec/integration || die
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	dodoc -r examples
+}


             reply	other threads:[~2021-11-11  7:04 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-11  7:04 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-29 17:44 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/em-websocket/ Hans de Graaff
2023-07-12  7:46 Hans de Graaff
2023-03-12 12:09 Hans de Graaff
2023-03-12 12:09 Hans de Graaff
2021-10-09  7:27 Hans de Graaff
2021-07-06  6:56 Hans de Graaff
2020-10-04  5:42 Hans de Graaff
2020-09-25  6:09 Hans de Graaff
2019-02-02 10:36 Hans de Graaff
2018-12-10  7:55 Hans de Graaff
2018-11-29  7:30 Hans de Graaff
2018-11-26  6:20 Hans de Graaff
2018-11-25 21:58 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636614244.43793b262d4921f4d4f2f7671926c778ad79693f.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox